scalaVersion in ThisBuild := "2.12.2"

lazy val commonSettings = Seq(
  libraryDependencies += "org.scalameta" %% "scalameta" % "1.7.0",
  libraryDependencies += "com.chuusai" %% "shapeless" % "2.3.2",
  addCompilerPlugin("org.scalameta" % "paradise" % "3.0.0-M8" cross CrossVersion.full),
  scalacOptions += "-Xplugin-require:macroparadise",
  scalacOptions in (Compile, console) := Seq(),
  sources in (Compile, doc) := Nil
)

lazy val macros = project.settings(
  commonSettings,
  name := "lecture-09-macros"
)

lazy val root = project.in(file(".")).settings(
  commonSettings,
  name := "lecture-09"
).dependsOn(macros)