import shapeless._

object Lenses {
  case class Address(street: String, city: String, zip: Int)
  case class Person(name: String, age: Int, address: Address)

  val streetLens = lens[Person] >> 'address >> 'street  
}